Bug 233289 - multimedia/zoneminder: Update to 1.32.2, Deprecate zoneminder-h264
Summary: multimedia/zoneminder: Update to 1.32.2, Deprecate zoneminder-h264
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-18 11:16 UTC by Ivan
Modified: 2018-12-08 22:31 UTC (History)
2 users (show)

See Also:


Attachments
www/zoneminder (67.40 KB, patch)
2018-11-18 11:16 UTC, Ivan
koobs: maintainer-approval+
Details | Diff
www/zoneminder-h264 (375 bytes, patch)
2018-11-18 11:16 UTC, Ivan
koobs: maintainer-approval+
Details | Diff
poudriere test (195.05 KB, application/gzip)
2018-11-18 11:19 UTC, Ivan
no flags Details
zoneminder patch (71.23 KB, patch)
2018-12-08 14:23 UTC, Ivan
bsd: maintainer-approval+
Details | Diff
zoneminder patch (71.28 KB, patch)
2018-12-08 19:54 UTC, Ivan
bsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan 2018-11-18 11:16:23 UTC
Created attachment 199309 [details]
www/zoneminder

Update ZoneMinder to 1.32.2

New version includes:

- A re-worked web console, compared to the previous 1.30.4 release
- record to mp4 container (making www/zoneminder-h264 obsolete)
- support for php 7.x
- Updated Montage Review
- Multiple storage paths

==============
Tested against 11.2 release (attached)
Comment 1 Ivan 2018-11-18 11:16:59 UTC
Created attachment 199310 [details]
www/zoneminder-h264
Comment 2 Ivan 2018-11-18 11:19:04 UTC
Created attachment 199311 [details]
poudriere test
Comment 3 Lars Engels freebsd_committer 2018-12-06 11:08:08 UTC
I am getting this:

====> Running Q/A tests (stage-qa)
Error: /usr/local/bin/zma is linked to /usr/local/lib/libgcrypt.so.20 from security/libgcrypt but it is not declared as a dependency         
Warning: you need LIB_DEPENDS+=libgcrypt.so:security/libgcrypt
Notice: You have some Perl modules as dependencies but you do not have devel/p5-Module-CoreList installed, the perlcore QA check gets better results when using it, especially with older Perl versions.
Comment 4 Kurt Jaeger freebsd_committer 2018-12-06 11:11:09 UTC
testbuilds@work
Comment 5 Kurt Jaeger freebsd_committer 2018-12-06 11:51:06 UTC
portlint -AC complains a lot about this:

FATAL: /home/pi/m/multimedia/zoneminder/pkg-plist: [6048]: Man pages must be installed into ``man'' not ``share/man''.

Can you fix it ?
Comment 6 Ivan 2018-12-06 12:46:44 UTC
 share/man/man8/zoneminder-zmcamtool.pl.8.gz
 share/man/man8/zoneminder-zmcontrol.pl.8.gz
 share/man/man8/zoneminder-zmdc.pl.8.gz
-share/man/man8/zoneminder-zmf.8.gz
 share/man/man8/zoneminder-zmfilter.pl.8.gz
+share/man/man8/zoneminder-zmonvif-probe.pl.8.gz
 share/man/man8/zoneminder-zmpkg.pl.8.gz
+share/man/man8/zoneminder-zmstats.pl.8.gz
 share/man/man8/zoneminder-zmsystemctl.pl.8.gz
 share/man/man8/zoneminder-zmtelemetry.pl.8.gz
 share/man/man8/zoneminder-zmtrack.pl.8.gz
@@ -6029,6 +6055,7 @@

Looks like previous version has man in share/man as well. Is it mandatory now ? I used make plist.
Comment 7 Kurt Jaeger freebsd_committer 2018-12-06 12:48:15 UTC
Well, maybe it was overlooked in the past, probably by me 8-}
Comment 8 Ivan 2018-12-06 19:21:39 UTC
Too bad, ZM has hardcoded path for MAN
Are you sure you can't overlook this one one more time while I upstream changes? :P If not I can always patch CMake scripts.
Comment 9 Ivan 2018-12-08 14:23:44 UTC
Created attachment 199954 [details]
zoneminder patch
Comment 10 Kurt Jaeger freebsd_committer 2018-12-08 18:33:29 UTC
testbuilds@work
Comment 11 Kurt Jaeger freebsd_committer 2018-12-08 18:42:42 UTC
The cmake patch seems to be incomplete ? The configure step fails with:

CMake Error at scripts/CMakeLists.txt:34 (POD2MAN):
  POD2MAN Macro invoked with incorrect arguments for macro named: POD2MAN
Comment 12 Ivan 2018-12-08 19:54:41 UTC
Created attachment 199965 [details]
zoneminder patch

It was marked DELETED by svn somehow :(
I hope this one is correct.
Comment 13 Kurt Jaeger freebsd_committer 2018-12-08 20:16:57 UTC
Yes, looks very good.

One thing I added, because it was mentioned in the poudriere log:

Error: /usr/local/bin/zma is linked to /usr/local/lib/libgcrypt.so.20 from security/libgcrypt but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libgcrypt.so:security/libgcrypt
Comment 14 Ivan 2018-12-08 20:20:41 UTC
I didn't observe this complain during 11.2 and 12.0-RC3 testbuilds. Maybe it was built not in clean environment ?

abishai@zoneminder:~ % ldd /usr/local/bin/zma | grep crypt
        libcrypto.so.8 => /lib/libcrypto.so.8 (0x801400000)
Comment 15 Kurt Jaeger freebsd_committer 2018-12-08 20:24:47 UTC
It looks like it's coming via ffmpeg/libass or libbluray ?

[112-default] `-- Extracting libass-0.14.0: .......... done
[112-default] `-- Installing libbluray-1.0.2,1...
[112-default] |   `-- Installing libaacs-0.9.0...
[112-default] |   | `-- Installing libgcrypt-1.8.4_1...
[112-default] |   |   `-- Installing libgpg-error-1.32_1...
[112-default] |   |   `-- Extracting libgpg-error-1.32_1: .......... done
[112-default] |   | `-- Extracting libgcrypt-1.8.4_1: .......... done
Comment 16 Ivan 2018-12-08 20:38:34 UTC
These are not enabled by default in ffmpeg.

But, ok, CMake really can pick it up if available.
https://github.com/ZoneMinder/zoneminder/blob/master/CMakeLists.txt#L402
I hope it won't break something :)
Comment 17 commit-hook freebsd_committer 2018-12-08 22:28:21 UTC
A commit references this bug:

Author: pi
Date: Sat Dec  8 22:28:09 UTC 2018
New revision: 486990
URL: https://svnweb.freebsd.org/changeset/ports/486990

Log:
  multimedia/zoneminder: update 1.30.4 -> 1.32.2

  PR:		233289
  Submitted by:	Ivan <bsd@abinet.ru> (maintainer)
  Reviewed by:	lme
  Relnotes:	http://www.zoneminder.com/blog/2018/10/13/tuesdays-gone-release.html
  		https://github.com/ZoneMinder/zoneminder/releases/tag/1.32.0

Changes:
  head/multimedia/zoneminder/Makefile
  head/multimedia/zoneminder/distinfo
  head/multimedia/zoneminder/files/README.FreeBSD
  head/multimedia/zoneminder/files/patch-CMakeLists.txt
  head/multimedia/zoneminder/files/patch-cmake_Modules_Pod2Man.cmake
  head/multimedia/zoneminder/files/patch-ffmpeg4
  head/multimedia/zoneminder/files/patch-misc_CMakeLists.txt
  head/multimedia/zoneminder/files/patch-scripts_CMakeLists.txt
  head/multimedia/zoneminder/files/patch-src_CMakeLists.txt
  head/multimedia/zoneminder/files/patch-src_zm__image.cpp
  head/multimedia/zoneminder/files/patch-src_zm__logger.cpp
  head/multimedia/zoneminder/files/patch-src_zm__monitor.cpp
  head/multimedia/zoneminder/files/patch-src_zm__signal.cpp
  head/multimedia/zoneminder/files/patch-src_zm__stream.cpp
  head/multimedia/zoneminder/files/patch-src_zmf.cpp
  head/multimedia/zoneminder/pkg-descr
  head/multimedia/zoneminder/pkg-plist
Comment 18 commit-hook freebsd_committer 2018-12-08 22:30:25 UTC
A commit references this bug:

Author: pi
Date: Sat Dec  8 22:29:47 UTC 2018
New revision: 486991
URL: https://svnweb.freebsd.org/changeset/ports/486991

Log:
  multimedia/zoneminder-h264: deprecate, h264 feature was commited to main branch

  - h264 feature was commited to main branch, please use upgraded www/zoneminder

  PR:		233289
  Submitted by:	Ivan <bsd@abinet.ru> (maintainer)

Changes:
  head/multimedia/zoneminder-h264/Makefile
Comment 19 Kurt Jaeger freebsd_committer 2018-12-08 22:31:37 UTC
Committed, thanks! And 1.32.3 was released 8 hours ago...